local default_prototype = 
{
	tool_capabilities =
	{
		full_punch_interval = 0,
		max_drop_level = 0,
		damage_groups =
		{
			fleshy = 4,
		},
	},
	on_use = weapon_api.lib.default_on_use,
	stack_max = 1,
	_weight = 3,
	on_drop = function() end,
	after_use = weapon_api.lib.wear_out,
}



function weapon_api.register_weapon(name, def)
	local prototype = {}
	for k, v in pairs(default_prototype)
	do
		prototype[k] = v
	end
	for k, v in pairs(def)
	do
		prototype[k] = v
	end
	if prototype._proc
	then
		prototype.on_use = weapon_api.lib.proc_on_use
	end
	minetest.register_tool(name, prototype)
end
